Delete automated project settings in batch
curl --request DELETE \
--url https://cloud.memsource.com/web/api2/v1/automatedProjects/batch \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"automatedProjectIds": [
"<string>"
]
}
'import requests
url = "https://cloud.memsource.com/web/api2/v1/automatedProjects/batch"
payload = { "automatedProjectIds": ["<string>"] }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({automatedProjectIds: ['<string>']})
};
fetch('https://cloud.memsource.com/web/api2/v1/automatedProjects/batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Automations
Delete automated project settings in batch
Deletes all automated project creation (APC) settings listed in automatedProjectIds and returns 204 No Content.
If any APC still has active projects, the request fails with 400 Bad Request unless ignoreActiveProjects is set to true. If any of the supplied identifiers does not exist, the request fails with 404 Not Found.
DELETE
/
api2
/
v1
/
automatedProjects
/
batch
Delete automated project settings in batch
Authorizations
ApiTokenOAuth2
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Query Parameters
When true, delete the APCs even if they still have active projects
Body
application/json
Identifiers of the automated project creation settings to delete
Identifiers of the automated project creation settings to operate on. Must contain at least one identifier.
Response
No Content
Was this page helpful?